Agents
POST
/api/v1/agents/generate-test-prompt

Stage 1: generate foundational test agent prompt from production prompt.

Authorization

AuthorizationBearer <token>

JWT access token. Use: Authorization: Bearer .

In: header

Header Parameters

X-Workspace-Id?string|null
Authorization?string|null
X-API-Key?string|null
X-EFFICIENTAI-API-KEY?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Stage 1: generate foundational test agent prompt from production prompt.

Response Body

application/json

application/json

curl -X POST "https://example.com/api/v1/agents/generate-test-prompt" \  -H "Content-Type: application/json" \  -d '{    "production_prompt": "string",    "agent_name": "string"  }'
{  "sections": [    {      "key": "string",      "title": "string",      "content": "string"    }  ],  "test_agent_prompt": "string",  "first_message": {    "production_mode": "string",    "production_message": "string",    "caller_mode": "string",    "caller_message": "string"  },  "test_agent_template": {    "sections": [      {        "key": "string",        "title": "string",        "content": "string"      }    ],    "first_message": {      "production_mode": "string",      "production_message": "string",      "caller_mode": "string",      "caller_message": "string"    }  },  "provider": "string",  "model": "string"}

Community & contact

  1. Found a bug or have a feature request? Open a GitHub issue.
  2. Join our Discord for faster replies!